| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
cv::cuda::SparsePyrLKOpticalFlow Class Referenceabstract
CUDA-accelerated Computer Vision » Optical Flow

Class used for calculating a sparse optical flow. More...

`#include <opencv2/cudaoptflow.hpp>`

Collaboration diagram for cv::cuda::SparsePyrLKOpticalFlow:

## Public Member Functions
virtual int | getMaxLevel () const =0
virtual int | getNumIters () const =0
virtual bool | getUseInitialFlow () const =0
virtual Size | getWinSize () const =0
virtual void | setMaxLevel (int maxLevel)=0
virtual void | setNumIters (int iters)=0
virtual void | setUseInitialFlow (bool useInitialFlow)=0
virtual void | setWinSize (Size winSize)=0
Public Member Functions inherited from cv::cuda::SparseOpticalFlow
virtual void | calc (InputArray prevImg, InputArray nextImg, InputArray prevPts, InputOutputArray nextPts, OutputArray status, OutputArray err=cv::noArray(), Stream &stream=Stream::Null())=0
| Calculates a sparse optical flow.
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Static Public Member Functions
static Ptr< cuda::SparsePyrLKOpticalFlow > | create (Size winSize=Size(21, 21), int maxLevel=3, int iters=30, bool useInitialFlow=false)
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.

## Additional Inherited Members
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Class used for calculating a sparse optical flow.

The class can calculate an optical flow for a sparse feature set using the iterative Lucas-Kanade method with pyramids.

See also
  calcOpticalFlowPyrLK

Note
  - An example of the Lucas Kanade optical flow algorithm can be found at opencv_source_code/samples/gpu/pyrlk_optical_flow.cpp

## Member Function Documentation

## ◆ create()

static Ptr< cuda::SparsePyrLKOpticalFlow > cv::cuda::SparsePyrLKOpticalFlow::create | ( | Size | winSize = Size(21, 21),
|  | int | maxLevel = 3,
|  | int | iters = 30,
|  | bool | useInitialFlow = false )
| static

## ◆ getMaxLevel()

virtual int cv::cuda::SparsePyrLKOpticalFlow::getMaxLevel | ( |  | ) | const
| pure virtual

## ◆ getNumIters()

virtual int cv::cuda::SparsePyrLKOpticalFlow::getNumIters | ( |  | ) | const
| pure virtual

## ◆ getUseInitialFlow()

virtual bool cv::cuda::SparsePyrLKOpticalFlow::getUseInitialFlow | ( |  | ) | const
| pure virtual

## ◆ getWinSize()

virtual Size cv::cuda::SparsePyrLKOpticalFlow::getWinSize | ( |  | ) | const
| pure virtual

## ◆ setMaxLevel()

virtual void cv::cuda::SparsePyrLKOpticalFlow::setMaxLevel | ( | int | maxLevel | ) |
| pure virtual

## ◆ setNumIters()

virtual void cv::cuda::SparsePyrLKOpticalFlow::setNumIters | ( | int | iters | ) |
| pure virtual

## ◆ setUseInitialFlow()

virtual void cv::cuda::SparsePyrLKOpticalFlow::setUseInitialFlow | ( | bool | useInitialFlow | ) |
| pure virtual

## ◆ setWinSize()

virtual void cv::cuda::SparsePyrLKOpticalFlow::setWinSize | ( | Size | winSize | ) |
| pure virtual

The documentation for this class was generated from the following file:

- opencv2/cudaoptflow.hpp